function makeTextNode(text) {
	return document.createTextNode(text);
}


function makeLabel(label, id) {
	var newLabel = document.createElement("label");
	if (id !== undefined && id != "") {
		newLabel.setAttribute("for", id);
	}
	newLabel.appendChild(makeTextNode(label));
	return newLabel;
}

function makeInput(type, id, value, label) {
	var newInput = document.createElement("input");

	newInput.setAttribute("type", type);

	if (id !== undefined && id !== "") {
		newInput.setAttribute("id", id);
		newInput.setAttribute("name", id);
	}
	
	if (value !== undefined && value !== "") {
		newInput.setAttribute("value", value);
	}
	
	if (label !== undefined && label !== "") {
		var newLabel = makeLabel(label, id);
		var newDiv = document.createElement("div");
		newDiv.appendChild(newLabel);
		newDiv.appendChild(newInput);
		return newDiv;
	}
	else {
		return newInput;
	}
}

function makeSelect(id, values, label) {
	var newSelect = document.createElement("select");

	if (id !== undefined && id !== "") {
		newSelect.setAttribute("id", id);
		newSelect.setAttribute("name", id);
	}
	
	for (let value of values) {
		let newOption = document.createElement("option");
		newSelect.setAttribute("value", value);
		let textNode = makeTextNode(value);

		newOption.appendChild(textNode);
		newSelect.appendChild(newOption);
	}

	if (label !== undefined && label !== "") {
		var newLabel = makeLabel(label, id);
		var newDiv = document.createElement("div");
		newDiv.appendChild(newLabel);
		newDiv.appendChild(newSelect);
		return newDiv;
	}
	else {
		return newSelect;
	}
}

function makeArray(start, end) {
	var myArray= [];
	for (let i = start; i <= end; i++) {
		myArray.push(i.toString());
	}
	return myArray;
}

function checkInputs(event) {
	let inputsArray = document.querySelectorAll("div input");

	for (let input of inputsArray) {
		if (input.value === "") {
			input.parentElement.setAttribute('class', 'error');
			event.preventDefault();
		}
		else {
			input.parentElement.setAttribute('class', '');
		}
	}	
}
